From 092b06937557587a762a728f5f130d6ab4910b95 Mon Sep 17 00:00:00 2001
From: Simon Shields <simon@lineageos.org>
Date: Tue, 19 Jun 2018 01:24:12 +1000
Subject: [PATCH] show emmc boot partitions

Change-Id: Ie7272ca5440dc57ead19cef03450a04d4e8291ac
---
 arch/arm/configs/lineageos_i9300_defconfig | 3 ++-
 drivers/mmc/card/block.c                   | 2 --
 2 files changed, 2 insertions(+), 3 deletions(-)

diff --git a/arch/arm/configs/lineageos_i9300_defconfig b/arch/arm/configs/lineageos_i9300_defconfig
index c065cf68589d..6edd9512672c 100644
--- a/arch/arm/configs/lineageos_i9300_defconfig
+++ b/arch/arm/configs/lineageos_i9300_defconfig
@@ -107,7 +107,7 @@ CONFIG_BLK_DEV_INITRD=y
 CONFIG_INITRAMFS_SOURCE=""
 CONFIG_RD_GZIP=y
 # CONFIG_RD_BZIP2 is not set
-# CONFIG_RD_LZMA is not set
+CONFIG_RD_LZMA=y
 # CONFIG_RD_XZ is not set
 # CONFIG_RD_LZO is not set
 # CONFIG_RD_LZ4 is not set
@@ -3382,6 +3382,7 @@ CONFIG_LZ4_DECOMPRESS=y
 # CONFIG_XZ_DEC is not set
 # CONFIG_XZ_DEC_BCJ is not set
 CONFIG_DECOMPRESS_GZIP=y
+CONFIG_DECOMPRESS_LZMA=y
 CONFIG_GENERIC_ALLOCATOR=y
 CONFIG_REED_SOLOMON=y
 CONFIG_REED_SOLOMON_ENC8=y
diff --git a/drivers/mmc/card/block.c b/drivers/mmc/card/block.c
index 2d559471e83a..d926166a6956 100644
--- a/drivers/mmc/card/block.c
+++ b/drivers/mmc/card/block.c
@@ -2593,10 +2593,8 @@ static int mmc_blk_probe(struct mmc_card *card)
 	printk(KERN_INFO "%s: %s %s %s %s\n",
 		md->disk->disk_name, mmc_card_id(card), mmc_card_name(card),
 		cap_str, md->read_only ? "(ro)" : "");
-#ifdef CONFIG_WIMAX_CMC
 	if (mmc_blk_alloc_parts(card, md))
 		goto out;
-#endif
 
 	mmc_set_drvdata(card, md);
 	mmc_fixup_device(card, blk_fixups);
-- 
2.17.1

